% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/textra.R
\name{gen_params}
\alias{gen_params}
\title{Generate parameters for API call}
\usage{
gen_params(key, secret, name, api_name = "mt")
}
\arguments{
\item{key}{The API key.}

\item{secret}{The API secret.}

\item{name}{The name of the API.}

\item{api_name}{The name of the API to use. Defaults to "mt".}
}
\value{
A list of parameters.
}
\description{
This function generates a list of parameters
that can be used to make an API call.
}
\examples{
\dontrun{
key <- "abcdefghijklmnopqrstuvw01234567890abcdef1" # API key
secret <- "xyzabcdefghijklmnopqrstuvw012345"       # API secret
name <- "login_ID"                                 # login_ID
params <- gen_params(key = key, secret = secret, name = name)
}

}
